Sign in with
Sign up | Sign in
Your question

PC JOYSTICK WINDOWS 7 64BIT ANY SUGESTIONS

Last response: in Computer Peripherals
Share
September 21, 2012 5:58:42 PM

Hi every one I dont do or should say didnt do gameing of any kind ...........But think Ive got the bug for flying games I have......

Microsoft Flight Simulator 2004 A Centurey of Flight
Microsoft Flight simulator X Deluxe Edition
IL-2 Sturmovik
WINGS OF PREY COLLECTOR'S EDITION
Nations: WWII Fighter Command

Ok I'm runing widows 7 Ultimate 64 bit version I'm not sure if all these games will work but the top one deff does with keyboard.
What I'm after is a Joystick that will work with 7 ......64 bit version can any one sugest any please that they DEFFINATLY lnows works with 64 bit ??????

My system is

Asus P9X79 Deluxe Motherboard
Intel Core i7 3930K Enthusiast Unlocked, S 2011, Sandybridge-E, Six Core, 3.2GHz, 12MB Smart Cache, 130W, Retail
240GB OCZ Vertex 3 Max IOPS Edition Solid State Drive SATA 6Gb/s 85KIOPS (for operating system)
Western Digital Caviar Black 1TB x 2 for storage drives
1280MB Gainward GTX 570 Phantom, 40nm, 1950MHz GDDR5, GPU 750MHz, Shader 1600MHz, 480 Cores, DP/HDMI
16GB Corsair DDR3 Vengeance LP PC3-12800 (1600), Non-ECC, CAS 8-8-8-24, XMP, 1.5V
Corsair H80 Hydro CPU cooler
Cooler Master Silent Pro M 850w psu
Coolermaster SlickleFLow Blue LED Quiet Case Fan 120mm x 5
LG blue ray burner drives x 2
Cooler Master Cosmos 1100 sport (powder coated black inside)
Iiyama ProLite B2409HDS 24" monitors x 2 (dual screen)
Icy box IB865 USB 3.0 supper speed card reader
Windows 7 ultimate 64 Bit OS


Thanks there
September 24, 2012 11:00:47 AM

what you really need are windows 7 drivers.

look for a model with "windows 7" listed on the box if looking in a store or with windows 7 compatable listed in the description if buying online. if you go to the manufacturers website (like you would if you were getting driver updates) and you look around you should be able to tell if they have windows 7 drivers or not.

if you buy new models then they are most likely compatible. ancient models which arent supported anymore i might be more skeptical on. this is not to say that they will not work just that they might not.
!